Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.red5.server.net.mrtmp
Class MRTMPPacket.RTMPHeader

    java.lang.Object
      org.red5.server.net.mrtmp.MRTMPPacket.Header
          org.red5.server.net.mrtmp.MRTMPPacket.RTMPHeader

Enclosing class:
  MRTMPPacket

    public static class MRTMPPacket.RTMPHeader

extends MRTMPPacket.Header

Constructor Summary
`MRTMPPacket.RTMPHeader()`

Method Summary
`int` | `getRtmpType()`
`void` | `setRtmpType(int rtmpType)`

Methods inherited from class org.red5.server.net.mrtmp.MRTMPPacket.Header
`getBodyEncoding, getBodyLength, getClientId, getHeaderLength, getType, isDynamic, setBodyEncoding, setBodyLength, setClientId, setDynamic, setHeaderLength, setType`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MRTMPPacket.RTMPHeader

    public MRTMPPacket.RTMPHeader()

Method Detail

### getRtmpType

    public int getRtmpType()

### setRtmpType

    public void setRtmpType(int rtmpType)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2010 The Red5 Project